import React from 'react';
import { Typography } from 'antd';
import useRoute from '@/utils/hooks/useRoute';

const pageStyle = {
  // margin: '24px 24px 0 24px',
  margin: '24px',
  minHeight: 'calc(100% - 48px)',
}
const titleStyle = {
  display: 'flex',
  justifyContent: 'space-between',
  alignItems: 'center',
  paddingBottom: '12px',
}

const Title = (props) => {

  return (
    <div style={titleStyle}>
      <Typography.Title level={3} style={{fontWeight: 400, flex: 'none'}}>{props.children}</Typography.Title>
      <div style={{flex: 'none'}}>{props.extra}</div>
    </div>
  )
}

export default (props) => {
  const { meta = {} } = useRoute() || {};
  const style = meta.noLayout ? { height: '100%' } : pageStyle;
  const title = props.title || meta.title;

  return (
    <div style={style}>
      { title && !meta.noLayout && <Title extra={props.extra}>{ title }</Title> }
      {props.children}
    </div>
  )
}
